import sys, requests, time
from email.mime.text import MIMEText
from smtplib import SMTP_SSL
args = sys.argv

down = False

try:
    if requests.get(str(args[1])).status_code != 200:
		# non-200, sleeping for 30 s then trying again.
		time.sleep(30)
		if requests.get(str(args[1])).status_code != 200:
			down = True
			text = "Hi!\nIt looks like " + str(args[1]) + " is down. Non-200 status returned.\n"
			msg = MIMEText(text, _charset='utf-8')
			msg['Subject'] = str(args[1]) +" is down"
except Exception, e:
	# exception, sleeping for 30 s then trying again.
	time.sleep(30)
	try:
		requests.get(str(args[1]))
	except Exception, e:
	    down = True
	    text = "Hi!\nIt looks like " + str(args[1]) + " might be down. We have this exception: " + str(e) + ".\n"
	    msg = MIMEText(text, _charset='utf-8')
	    msg['Subject'] = str(args[1]) +" might be down"

if down:
    s = SMTP_SSL('smtp.gmail.com', 465, timeout=10)
    s.set_debuglevel(0)
    msg['From'] = 'youremail@gmail.com'
    msg['To'] = 'anyotheremail@domain.com'
    try:
        s.login('youremail@gmail.com', 'yourpassword')
        s.sendmail(msg['From'], msg['To'], msg.as_string())
    finally:
        s.quit()